Seite 1 von 1

error Upgrade Ubuntu 16.04 LTS to Ubuntu 18.04 LTS

Verfasst: So 5. Mai 2019, 02:46
von Nikitaidis
Hello
i get error when i Upgrade Ubuntu 16.04 LTS to Ubuntu 18.04 LTS

Error: The following files need to be updated and are not readable or
writable. Please set correct file permissions.





root@vps:~# php keyhelp_ubuntu_upgrade_16_to_18.php

_ __ _ _ _ (R)
| |/ /___ _ _| |_| |___| |___
| | / -_) |_/ | _ | -_) | _ \
|_|\_\___|\__, |_| |_|___|_| _/ Your Administration-Panel
=========== |___/ ========== |_| =========================================

This script performs an operating system upgrade on your server.

From: Ubuntu 16.04 To: Ubuntu 18.04


- Instructions -----------------------------------------------------------

Step 1)
This script performs necessary tasks in preparation for the upgrade.

Step 2)
The program flow is handed over to the ubuntu application
"do-release-upgrade". Please follow the instructions of this program.
The system is then rebooted.
Note: On questions about "Should system config files be overwritten"
please answer with "Keep the local version currently installed".

Step 3)
Please run the command "phpenmod ioncube". Then start this script again
with "php keyhelp_ubuntu_upgrade_16_to_18.php"

Step 4)
Updates configuration files, then reboots the system. Your server is now
ready for use.

Note: Once you begin the upgrade, you should go through it completely.
If you cancel the upgrade during execution, any changes must be manually
undone. It is highly recommended to make a backup in advance!

--------------------------------------------------------------------------

> Pre-checking system...

Error: The following files need to be updated and are not readable or
writable. Please set correct file permissions.

/etc/update-manager/release-upgrades

Re: error Upgrade Ubuntu 16.04 LTS to Ubuntu 18.04 LTS  [SOLVED]

Verfasst: Mo 6. Mai 2019, 08:35
von Alexander
There should be a file at the specified path with the default content:

Code: Alles auswählen

# Default behavior for the release upgrader.

[DEFAULT]
# Default prompting behavior, valid options:
#
#  never  - Never check for a new release.
#  normal - Check to see if a new release is available.  If more than one new
#           release is found, the release upgrader will attempt to upgrade to
#           the release that immediately succeeds the currently-running
#           release.
#  lts    - Check to see if a new LTS release is available.  The upgrader
#           will attempt to upgrade to the first LTS release available after
#           the currently-running one.  Note that this option should not be
#           used if the currently-running release is not itself an LTS
#           release, since in that case the upgrader won't be able to
#           determine if a newer release is available.
Prompt=never
Does it not exists?

Re: error Upgrade Ubuntu 16.04 LTS to Ubuntu 18.04 LTS

Verfasst: Mo 12. Aug 2019, 12:34
von yockl
Hello,

I have the same issue on my side. The folder and file (/etc/update-manager/release-upgrades) is not existing on my side. Should I manually generate the missing folder (update-manager) and file (release-upgrades)?

Thanks in advanced

Re: error Upgrade Ubuntu 16.04 LTS to Ubuntu 18.04 LTS

Verfasst: Mo 12. Aug 2019, 14:29
von Alexander
Hello,

try to install 'update-manager-core' first:

Code: Alles auswählen

apt-get install update-manager-core